package main;

import hypothesis_validation.HoG_Score;
import java.awt.image.BufferedImage;
import java.io.File;
import java.io.IOException;
import java.util.ArrayList;
import javax.imageio.ImageIO;
import preprocessing.Parser;


public class HoG_Shape {	
	
	public static void main(String[] args) throws IOException {
		
		String input_image = args[0];
		
		String hog_parameters = args[1];

		Parser parser = new Parser();
		
		ArrayList<String> list = parser.Get_Array_List (hog_parameters);
		
		HoG_Score object = new HoG_Score();
		
		BufferedImage in_image = ImageIO.read(new File(input_image));
		
		object.print_descriptor (in_image, list);
	} 
}
